Bug 1162341 - Noto Color Emoji not packaged
Summary: Noto Color Emoji not packaged
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: google-noto-fonts
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1164448
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-10 21:23 UTC by Peter Oliver
Modified: 2015-01-15 09:05 UTC (History)
6 users (show)

Fixed In Version: google-noto-fonts-20141117-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-14 05:41:20 UTC


Attachments (Terms of Use)
Build Noto Color Emoji (2.97 KB, patch)
2014-11-15 19:15 UTC, Peter Oliver
no flags Details | Diff

Description Peter Oliver 2014-11-10 21:23:13 UTC
The Noto project includes a Makefile and scripts to build a TTF font, Noto Emoji Color, from SVG source files.

Fedora 20 and higher supports these colour fonts (albeit by displaying them in greyscale).  Hence, we should package them.

I shall try to come up with a patch...

Comment 1 Pravin Satpute 2014-11-12 04:16:10 UTC
Yes, i missed that.
Thanks for reporting bug. Do submit patch, i will definitely find some time next week to complete this.

Comment 2 Peter Oliver 2014-11-15 19:15:04 UTC
Created attachment 957863 [details]
Build Noto Color Emoji

A patch is attached.  Note however that the latest version fonttools of is required, and this isn't yet packaged for Fedora.

Comment 3 Pravin Satpute 2014-11-20 05:07:32 UTC
Thanks, i will build this in couple of days.

Comment 4 Pravin Satpute 2015-01-14 05:41:20 UTC
Apologies for taking more than expected time for this update. I have done build for Fedora rawhide.  Will be available in tomorrows rawhide.

Feel free to reopen bug if any further problem.

Comment 5 Johnny Robeson 2015-01-15 08:54:33 UTC
do you plan on updating for fedora 21?

Comment 6 Pravin Satpute 2015-01-15 09:05:10 UTC
I am ready for it but we have dependencies on fonttools 2.5. Added Parag in cc (maintainer of fonttools)


Note You need to log in before you can comment on or make changes to this bug.